import { Role } from './ad.types';
import { WaypointProps } from './value-objects/waypoint.value-object';
import { WayStepProps } from './value-objects/waystep.value-object';

// All properties that a Candidate has
export interface CandidateProps {
  role: Role;
  waypoints: WaypointProps[]; // waypoints of the original Ad
  waySteps?: WayStepProps[]; // carpool path for the crew (driver + passenger)
}

// Properties that are needed for a Candidate creation
export interface CreateCandidateProps {
  id: string;
  role: Role;
  waypoints: WaypointProps[];
}

export type Spacetime = {
  duration: number;
  distance?: number;
};

export enum Target {
  START = 'START',
  INTERMEDIATE = 'INTERMEDIATE',
  FINISH = 'FINISH',
  NEUTRAL = 'NEUTRAL',
}
